Name:          lnav
Version:       0.9.0
Release:       %mkrel 1
Group:         Monitoring
Summary:       Curses-based tool for viewing and analyzing log files
License:       BSD
URL:           http://lnav.org
Source0:       https://github.com/tstack/lnav/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires: bzip2-devel
BuildRequires: gcc-c++
BuildRequires: libcurl-devel
BuildRequires: libgpm-devel
BuildRequires: ncurses-devel
BuildRequires: openssl-devel
BuildRequires: pcrecpp-devel
BuildRequires: readline-devel
BuildRequires: sqlite3-devel
BuildRequires: zlib-devel

%description
lnav is an enhanced log file viewer that takes advantage of any semantic
information that can be gleaned from the files being viewed, such as
timestamps and log levels. Using this extra semantic information, it can
do things like interleaving messages from different files, generate
histograms of messages over time, and providing hotkeys for navigating
through the file. It is hoped that these features will allow the user to
quickly and efficiently zero in on problems.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%doc AUTHORS NEWS README
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sun Oct 25 2020 guillomovitch <guillomovitch> 0.9.0-1.mga8
+ Revision: 1639268
- new version 0.9.0

* Sun May 24 2020 wally <wally> 0.8.5-4.mga8
+ Revision: 1587194
- drop python2 BR
- build with libgpm

* Wed Feb 19 2020 umeabot <umeabot> 0.8.5-3.mga8
+ Revision: 1542724
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 0.8.5-2.mga8
+ Revision: 1476811
- rebuild for readline

* Sat Apr 20 2019 guillomovitch <guillomovitch> 0.8.5-1.mga7
+ Revision: 1394037
- new version 0.8.5

* Tue Jan 01 2019 guillomovitch <guillomovitch> 0.8.4-1.mga7
+ Revision: 1348147
- new version 0.8.4

* Sun Sep 23 2018 umeabot <umeabot> 0.8.3-2.mga7
+ Revision: 1299335
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 guillomovitch <guillomovitch> 0.8.3-1.mga7
+ Revision: 1247097
- imported package lnav

